{MSG_USAGE, L"\
USAGE:\n\
LZR <file name> [OPTIONS]    or\n\
LZR <options>\n\
Options:\n\
\t-i <input filename>: Specifies input filename.\n\
\t-o <output filename>: Specifies output filename.(Omissible)\n\
\t-r <threshold>: Specifies repeat byte process threshold. (default: 3, deprecated) \n\
\t-e : Uncompress file.\n\
\t-c : Compress file.\n\
\t-f : Suppresses prompting to confirm you want to overwrite an existing file.\n\
\t-q : Indicates to use the quick algorithm.\n\
\nNote: If the first param is a filename, program will take it as a input file, and\n\
\tguesses running mode base on the filename provided:\n\
\tIf it is end as .lzr, program will uncompress it and output to the same directory.\n\
\tOtherwise, program will compress it and output a lzr file to the same directory.\n\
\te.g.\"lzr l.h.lzr\" is as same as \"LZR -i l.h.lzr -e -o l.h\"\n\
\nNote: Extremely slow since I want to minimise the lzr output size.\n\
Example:\n\
LZR -i Logo.tim.lzr -e\n\
LZR -i L:\\Ar_tonelico\\res\\TIM\\chara_name\\AT_NAME01.tim.lzr -e -o working\\AT_NAME01.tim\n\
LZR -i AT_NAME02.tim -c -o AT_NAME02.tim.lzr -r 5\n\
LZR AT_NAME01.tim.lzr\n"},
{MSG_COPYRIGHT, L"Lzr Tool ver.1.9 coded by Xiyan\n==================\n"},
{MSG_MODE_COMP, L"Mode:[Compress]\n"},
{MSG_MODE_EXTRACT, L"Mode:[Extract]\n"},
{MSG_FILENAME_ECHO, L"Input filename:[%ls]\nOutput filename:[%ls]\n"},
{MSG_OVERWRITE_HINT, L"File [%ls] has already existed, overwrite? Y/[N]"},
{MSG_USER_CANCELED, L"User canceled.\n"},
{MSG_COMP_COMP, L"\nCompress complete! Result length: %u"},
{MSG_TIME_USED, L"\nTime used: %lld(s)\n"},
{MSG_EXTRACT_DONE, L"\rDone!                                             \n"},
{MSG_COMPRESS_PROGRESS, L"\rProgress: %06d/%06dbyte(s) compressed (ETR: %lld)"},
{MSG_USING_SWIFT_ALGORITHM, L"Using quick algorithm.\n"},

{ERR_INVALID_PARAM, L"Invalid Parameter!"},
{ERR_R_INVALID_PARAM, L"-r: Invalid Parameter!"},
{ERR_D_INVALID_PARAM, L"-d: Invalid Parameter!"},
{ERR_MODE_NOT_SET, L"Mode was not set!"},
{ERR_MAGICHEAD_ERROR, L"Magic head check failed!\n"},
{ERR_OPEN_FILE_FAILED, L"Could not open file:[%ls], Error Code:[%d]\n"},
{ERR_ABORTED, L"Aborted.\n"},
{ERR_WRITE_FILE_FAILED, L"Failed to write, Error Code:[%d]\n"},
{MSG_ERR, L"<Localisation System Error> Message missing."},
