{MSG_USAGE, L"\
使用法：LZR <ファイル名> [オプション]\n\
または：LZR <オプション>\n\
オプション:\n\
\t-i <入力ファイル名>: 入力ファイル名を指定します。\n\
\t-o <出力ファイル名>: 出力ファイル名を指定します。(省略可)\n\
\t-r <しきい値>: 重複バイトの処理のしきい値を指定します。 (デフォルト: 3, 推奨されません) \n\
\t-e : ファイルを解凍します。\n\
\t-c : ファイルを圧縮します。\n\
\t-f : 出力ファイルが存在する場合は上書きします。\n\
\t-q : クイックアルゴリズムを使用することを示します。\n\
\n注: 最初のパラメータがファイル名の場合、このファイル名を入力ファイルとし、\n\
\tファイル拡張子に基づいて処理モードを決定します。\n\
\tファイルが .lzr として終了している場合、プログラムはそれを解凍し、同じディレクトリに出力します。\n\
\tそれ以外の場合、プログラムはファイルを圧縮し、同じディレクトリに lzr ファイルを出力します。\n\
\te.g.\"lzr l.h.lzr\" は \"LZR -i l.h.lzr -e -o l.h\" と同じです\n\
\n注: lzr 出力サイズを最小限に抑えたいため、非常に遅くなります。\n\
例:\n\
LZR -i Logo.tim.lzr -e\n\
LZR -i L:\\Ar_tonelico\\res\\TIM\\chara_name\\AT_NAME01.tim.lzr -e -o working\\AT_NAME01.tim\n\
LZR -i AT_NAME02.tim -c -o AT_NAME02.tim.lzr -r 5\n\
LZR AT_NAME01.tim.lzr\n"},
{MSG_COPYRIGHT, L"Lzr ツール ver.1.9 by 希研\n==================\n"},
{MSG_MODE_COMP, L"モード:[圧縮]\n"},
{MSG_MODE_EXTRACT, L"モード:[解凍]\n"},
{MSG_FILENAME_ECHO, L"入力ファイル名:[%ls]\n出力ファイル名:[%ls]\n"},
{MSG_OVERWRITE_HINT, L"ファイル[%ls]は既に存在します。上書きしますか? Y/[N]"},
{MSG_USER_CANCELED, L"ユーザーがキャンセルされました。\n"},
{MSG_COMP_COMP, L"\n圧縮が完了しました! 結果の長さ: %u"},
{MSG_TIME_USED, L"\n時間消費: %lld(s)\n"},
{MSG_EXTRACT_DONE, L"\r完了!                                             \n"},
{MSG_COMPRESS_PROGRESS, L"\r進行状況: %06d/%06dbyte(s) 圧縮されました。推定残り時間：%lld"},
{MSG_USING_SWIFT_ALGORITHM, L"クイックアルゴリズムを使用しています。\n"},

{ERR_INVALID_PARAM, L"パラメータが無効です!"},
{ERR_R_INVALID_PARAM, L"-r: パラメータが無効です!"},
{ERR_D_INVALID_PARAM, L"-d: パラメータが無効です!"},
{ERR_MODE_NOT_SET, L"モードが設定されていません!"},
{ERR_MAGICHEAD_ERROR, L"マジックヘッドのチェックに失敗しました!\n"},
{ERR_OPEN_FILE_FAILED, L"ファイルを開けませんでした:[%ls]、エラーコード:[%d]\n"},
{ERR_ABORTED, L"中止されました。\n"},
{ERR_WRITE_FILE_FAILED, L"書き込みに失敗しました。エラーコード:[%d]\n"},
{MSG_ERR, L"<ローカリゼーション システム エラー> メッセージがありません。"},
